SoConeDetail(3IV)

NAME
SoConeDetail — stores detail information about the SoCone node

INHERITS FROM
SoDetail > SoConeDetail

SYNOPSIS
#include <Inventor/details/SoConeDetail.h>

Methods from class SoConeDetail:

SoConeDetail()
virtual
~SoConeDetail()
int
getPart() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a cone. It contains the part of the cone that was hit (sides or bottom).

METHODS

SoConeDetail()
virtual
~SoConeDetail()
Constructor and destructor.

int
getPart() const
Returns the part in the detail. The returned value is one of the SoCone part flags.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoCone, SoDetail, SoPickedPoint, SoPrimitiveVertex